Mailinglist Archive: zypp-commit (149 mails)

< Previous Next >
[zypp-commit] r5389 - in /trunk/libzypp/tests: ./ source/ source/yum/ source/yum/data/ source/yum/data/10.2-updates-subset/ source/yum/data/10.2-updates-subset/repodata/
  • From: dmacvicar@xxxxxxxxxxxxxxxx
  • Date: Mon, 16 Apr 2007 12:12:21 -0000
  • Message-id: <20070416121221.75FFF17063@xxxxxxxxxxxxxxxx>
Author: dmacvicar
Date: Mon Apr 16 14:12:20 2007
New Revision: 5389

URL: http://svn.opensuse.org/viewcvs/zypp?rev=5389&view=rev
Log:

testcase for YUM downloader


Added:
    trunk/libzypp/tests/source/
    trunk/libzypp/tests/source/CMakeLists.txt
    trunk/libzypp/tests/source/yum/
    trunk/libzypp/tests/source/yum/CMakeLists.txt
    trunk/libzypp/tests/source/yum/YUMDownloader_test.cc
    trunk/libzypp/tests/source/yum/data/
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/filelists.xml.gz   (with props)
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/other.xml.gz   (with props)
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-fetchmsttfonts.sh-2333.xml
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-flash-player-2359.xml
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-glabels-2348.xml
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-gv-2350.xml
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-openssl-2349.xml
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-tar-2351.xml
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patches.xml
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/primary.xml.gz   (with props)
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.asc
    trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.key
Modified:
    trunk/libzypp/tests/CMakeLists.txt

Modified: trunk/libzypp/tests/CMakeLists.txt
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/CMakeLists.txt?rev=5389&r1=5388&r2=5389&view=diff
==============================================================================
--- trunk/libzypp/tests/CMakeLists.txt (original)
+++ trunk/libzypp/tests/CMakeLists.txt Mon Apr 16 14:12:20 2007
@@ -5,4 +5,5 @@
 #ADD_SUBDIRECTORY( cache )
 #ADD_SUBDIRECTORY( media )
 ADD_SUBDIRECTORY( zypp )
-ADD_SUBDIRECTORY( parser )
\ No newline at end of file
+ADD_SUBDIRECTORY( parser )
+ADD_SUBDIRECTORY( source )
\ No newline at end of file

Added: trunk/libzypp/tests/source/CMakeLists.txt
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/CMakeLists.txt?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/CMakeLists.txt (added)
+++ trunk/libzypp/tests/source/CMakeLists.txt Mon Apr 16 14:12:20 2007
@@ -0,0 +1 @@
+ADD_SUBDIRECTORY( yum )
\ No newline at end of file

Added: trunk/libzypp/tests/source/yum/CMakeLists.txt
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/CMakeLists.txt?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/CMakeLists.txt (added)
+++ trunk/libzypp/tests/source/yum/CMakeLists.txt Mon Apr 16 14:12:20 2007
@@ -0,0 +1,4 @@
+ADD_EXECUTABLE( YUMDownloader YUMDownloader_test.cc )
+TARGET_LINK_LIBRARIES( YUMDownloader zypp boost_unit_test_framework )
+
+ADD_TEST(YUMDownloader ${CMAKE_CURRENT_BINARY_DIR}/YUMDownloader ${CMAKE_CURRENT_SOURCE_DIR}/data )
\ No newline at end of file

Added: trunk/libzypp/tests/source/yum/YUMDownloader_test.cc
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/YUMDownloader_test.cc?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/YUMDownloader_test.cc (added)
+++ trunk/libzypp/tests/source/yum/YUMDownloader_test.cc Mon Apr 16 14:12:20 2007
@@ -0,0 +1,88 @@
+#include <stdio.h>
+#include <iostream>
+#include <fstream>
+#include <vector>
+#include <list>
+#include <boost/test/unit_test.hpp>
+#include <boost/test/parameterized_test.hpp>
+#include <boost/test/unit_test_log.hpp>
+
+#include "zypp/Url.h"
+#include "zypp/PathInfo.h"
+#include "zypp/TmpPath.h"
+#include "zypp/source/yum/YUMDownloader.h"
+
+
+using std::cout;
+using std::endl;
+using std::string;
+using namespace zypp;
+using namespace boost::unit_test;
+
+using namespace zypp::source::yum;
+
+void yum_download_test(const string &dir)
+{
+  Pathname p = dir + "/10.2-updates-subset";
+  Url url("file:" + p.asString());
+  YUMDownloader yum(url, "/");
+  filesystem::TmpDir tmp;
+  
+  Pathname localdir(tmp.path());
+  
+  yum.download(localdir);
+  
+  const char* files[] =
+  {
+    "filelists.xml.gz",
+    "other.xml.gz",
+    "patches.xml",
+    "patch-fetchmsttfonts.sh-2333.xml",
+    "patch-flash-player-2359.xml",
+    "patch-glabels-2348.xml",
+    "patch-gv-2350.xml",
+    "patch-openssl-2349.xml",
+    "patch-tar-2351.xml",
+    "primary.xml.gz",
+    "repomd.xml",
+    "repomd.xml.asc",
+    "repomd.xml.key",
+    NULL
+  };
+  
+  int i=0;
+  while ( files[i] != NULL )
+  {
+    BOOST_CHECK_MESSAGE( PathInfo(localdir + "/repodata/" + files[i] ).isExist(), (string("/repodata/") + files[i]).c_str() );
+    i++;
+  }
+
+}
+
+test_suite*
+init_unit_test_suite( int argc, char *argv[] )
+{
+  string datadir;
+  if (argc < 2)
+  {
+    datadir = TESTS_SRC_DIR;
+    datadir = (Pathname(datadir) + "/source/yum/data").asString();
+    cout << "YUMDownloader_test:"
+      " path to directory with test data required as parameter. Using " << datadir  << endl;
+    //return (test_suite *)0;
+    
+  }
+  else
+  {
+    datadir = argv[1];
+  }
+  
+  test_suite* test= BOOST_TEST_SUITE("YUMDownloader");
+  
+  std::string const params[] = { datadir };
+  test->add(BOOST_PARAM_TEST_CASE(&yum_download_test,
+                                 (std::string const*)params, params+1));
+  return test;
+}
+
+// vim: set ts=2 sts=2 sw=2 ai et:

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/filelists.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/filelists.xml.gz?rev=5389&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/other.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/other.xml.gz?rev=5389&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-fetchmsttfonts.sh-2333.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-fetchmsttfonts.sh-2333.xml?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-fetchmsttfonts.sh-2333.xml (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-fetchmsttfonts.sh-2333.xml Mon Apr 16 14:12:20 2007
@@ -0,0 +1,295 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--PATCHINFO id="88913dfb2ec2942d59a19ef8152d0aef"!-->
+<patch
+    xmlns="http://novell.com/package/metadata/suse/patch";
+    xmlns:yum="http://linux.duke.edu/metadata/common";
+    xmlns:rpm="http://linux.duke.edu/metadata/rpm";
+    xmlns:suse="http://novell.com/package/metadata/suse/common";
+    patchid="fetchmsttfonts.sh-2333"
+    timestamp="20061204"
+    engine="1.0">
+  <yum:name>fetchmsttfonts.sh</yum:name>
+  <summary lang="en">Download Microsoft(r) TrueType Core Fonts</summary>
+  <summary lang="de">Download Microsoft(r) TrueType Core Fonts</summary>
+  <description lang="en">For legal reasons we can't include the Microsoft(r)
+TrueType Core Fonts in our product. This patch downloads
+these fonts and installs them on your system. Please note
+that about 4 MByte data are downloaded therefore. License
+for the fonts will be installed as
+/usr/share/doc/corefonts/EULA.html.
+</description>
+  <description lang="de">Aus rechtlichen Gründen können wir leider die TrueType Core
+Fonts von Microsoft(r) auf unserem Produkt nicht
+mitliefern. Dieser Patch lädt diese Fonts herunter und
+installiert diese auf Ihrem System. Beachten Sie bitte,
+dass dazu in etwa 4 MByte an Daten heruntergeladen werden.
+Die Lizenz für die Fonts wird unter
+/usr/share/doc/corefonts/EULA.html abgelegt.
+</description>
+  <yum:version ver="2333" rel="0"/>
+  <rpm:requires>
+    <rpm:entry kind="script" name="fetchmsttfonts.sh-2333-patch-fetchmsttfonts.sh-2" epoch="0" ver="2333" rel="1" flags="EQ"/>
+  </rpm:requires>
+  <category>optional</category>
+    <license-to-confirm>
+END-USER LICENSE AGREEMENT FOR
+MICROSOFT SOFTWARE
+
+IMPORTANT-READ CAREFULLY: This Microsoft End-User License Agreement (&quot;EULA&quot;) is
+a legal agreement between you (either an individual or a single entity) and
+Microsoft Corporation for the Microsoft software accompanying this EULA, which
+includes computer software and may include associated media, printed materials,
+and &quot;on-line&quot; or electronic documentation (&quot;SOFTWARE PRODUCT&quot; or &quot;SOFTWARE&quot;).
+By exercising your rights to make and use copies of the SOFTWARE PRODUCT, you
+agree to be bound by the terms of this EULA. If you do not agree to the terms
+of this EULA, you may not use the SOFTWARE PRODUCT.
+
+
+SOFTWARE PRODUCT LICENSE
+The SOFTWARE PRODUCT is protected by copyright laws and international copyright
+treaties, as well as other intellectual property laws and treaties. The
+SOFTWARE PRODUCT is licensed, not sold.
+
+
+1. GRANT OF LICENSE. This EULA grants you the following rights:
+
+  * Installation and Use. You may install and use an unlimited number of copies
+    of the SOFTWARE PRODUCT.
+  * Reproduction and Distribution. You may reproduce and distribute an
+    unlimited number of copies of the SOFTWARE PRODUCT; provided that each copy
+    shall be a true and complete copy, including all copyright and trademark
+    notices, and shall be accompanied by a copy of this EULA. Copies of the
+    SOFTWARE PRODUCT may not be distributed for profit either on a standalone
+    basis or included as part of your own product.
+
+
+2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.
+
+  * Limitations on Reverse Engineering, Decompilation, and Disassembly. You may
+    not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT,
+    except and only to the extent that such activity is expressly permitted by
+    applicable law notwithstanding this limitation.
+  * Restrictions on Alteration. You may not rename, edit or create any
+    derivative works from the SOFTWARE PRODUCT, other than subsetting when
+    embedding them in documents.
+  * Software Transfer. You may permanently transfer all of your rights under
+    this EULA, provided the recipient agrees to the terms of this EULA.
+  * Termination. Without prejudice to any other rights, Microsoft may terminate
+    this EULA if you fail to comply with the terms and conditions of this EULA.
+    In such event, you must destroy all copies of the SOFTWARE PRODUCT and all
+    of its component parts.
+
+
+3. COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT
+(including but not limited to any images, text, and &quot;applets&quot; incorporated into
+the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of
+the SOFTWARE PRODUCT are owned by Microsoft or its suppliers. The SOFTWARE
+PRODUCT is protected by copyright laws and international treaty provisions.
+Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted
+material.
+
+
+4. U.S. GOVERNMENT RESTRICTED RIGHTS. The SOFTWARE PRODUCT and documentation
+are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the
+Government is subject to restrictions as set forth in subparagraph (c)(1)(ii)
+of the Rights in Technical Data and Computer Software clause at DFARS
+252.227-7013 or subparagraphs (c)(1) and (2) of the Commercial Computer
+Software - Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer
+is Microsoft Corporation/One Microsoft Way/Redmond, WA 98052-6399.
+
+
+LIMITED WARRANTY
+
+NO WARRANTIES. Microsoft expressly disclaims any warranty for the SOFTWARE
+PRODUCT. The SOFTWARE PRODUCT and any related documentation is provided &quot;as is&quot;
+without warranty of any kind, either express or implied, including, without
+limitation, the implied warranties or merchantability, fitness for a particular
+purpose, or noninfringement. The entire risk arising out of use or performance
+of the SOFTWARE PRODUCT remains with you.
+
+NO LIABILITY FOR CONSEQUENTIAL DAMAGES. In no event shall Microsoft or its
+suppliers be liable for any damages whatsoever (including, without limitation,
+damages for loss of business profits, business interruption, loss of business
+information, or any other pecuniary loss) arising out of the use of or
+inability to use this Microsoft product, even if Microsoft has been advised of
+the possibility of such damages. Because some states/jurisdictions do not allow
+the exclusion or limitation of liability for consequential or incidental
+damages, the above limitation may not apply to you.
+
+
+MISCELLANEOUS
+
+If you acquired this product in the United States, this EULA is governed by the
+laws of the State of Washington.
+
+If this product was acquired outside the United States, then local laws may
+apply.
+
+Should you have any questions concerning this EULA, or if you desire to contact
+Microsoft for any reason, please contact the Microsoft subsidiary serving your
+country, or write: Microsoft Sales Information Center/One Microsoft Way/
+Redmond, WA 98052-6399.
+    </license-to-confirm>
+  <atoms>
+    <script>
+      <yum:name>fetchmsttfonts.sh-2333-patch-fetchmsttfonts.sh-2</yum:name>
+      <yum:version ver="2333" rel="1"/>
+      <do>
+#!/bin/sh
+
+EULA=&quot;http://corefonts.sourceforge.net/eula.htm&quot;
+
+FONTS=&quot; \
+dl.sourceforge.net/sourceforge/corefonts/andale32.exe \
+dl.sourceforge.net/sourceforge/corefonts/arial32.exe  \
+dl.sourceforge.net/sourceforge/corefonts/arialb32.exe \
+dl.sourceforge.net/sourceforge/corefonts/comic32.exe  \
+dl.sourceforge.net/sourceforge/corefonts/courie32.exe \
+dl.sourceforge.net/sourceforge/corefonts/georgi32.exe \
+dl.sourceforge.net/sourceforge/corefonts/impact32.exe \
+dl.sourceforge.net/sourceforge/corefonts/times32.exe  \
+dl.sourceforge.net/sourceforge/corefonts/trebuc32.exe \
+dl.sourceforge.net/sourceforge/corefonts/verdan32.exe \
+dl.sourceforge.net/sourceforge/corefonts/webdin32.exe \
+&quot;
+
+SERVER=&quot; \
+switch   \
+mesh     \
+jaist    \
+kent     \
+nchc     \
+heanet   \
+easynews \
+optusnet \
+&quot;
+
+CURL_OPTIONS=&quot;-s --speed-limit 3500 --speed-time 15&quot;
+
+if [ &quot;`id -u`&quot; != &quot;0&quot; ]; then
+ echo &quot;error: You must be root to use this program!&quot;
+ exit 1
+fi
+
+if [ ! -x /usr/bin/cabextract ]; then
+  echo &quot;error: cabextract missing! Please install package cabextract first.&quot;
+  exit 2
+fi
+
+. /etc/sysconfig/proxy
+
+if test &quot;$PROXY_ENABLED&quot; != &quot;no&quot;; then
+  if test -n &quot;$HTTP_PROXY&quot; ; then
+    export http_proxy=&quot;$HTTP_PROXY&quot;
+  fi
+fi
+
+if [ -z $http_proxy ]; then
+  echo 
+  echo &quot;note: No proxy is used. Please set the environment variable \&quot;http_proxy\&quot;&quot;
+  echo &quot;note: to your favorite proxy, if you want to use a proxy for the download.&quot;
+  echo &quot;note:&quot;
+  echo &quot;note:   bash: export http_proxy=\&quot;http://proxy.example.com:3128/\&quot;&quot;
+  echo &quot;note:   tcsh: setenv http_proxy \&quot;http://proxy.example.com:3128/\&quot;&quot;
+fi
+
+echo &quot;EULA:&quot;
+mkdir -p /usr/share/doc/corefonts
+echo -n &quot;  Fetching   ... &quot;
+curl $CURL_OPTIONS -o /usr/share/doc/corefonts/EULA.html $EULA || \
+  rm -f /usr/share/doc/corefonts/EULA.html
+echo &quot;done&quot;
+
+tmpname=`basename $0`
+tmpdir=`mktemp -d /tmp/$tmpname.XXXXXX`
+trap &quot;rm -rf $tmpdir&quot; EXIT
+if [ $? -ne 0 ]; then
+  echo &quot;$0: Can't create temp dir, exiting...&quot;
+  exit 4
+fi
+
+pushd $tmpdir &amp;&gt; /dev/null
+
+echo
+echo &quot;Trying to find the fastest server:&quot;
+besttime=1000
+
+for server in $SERVER; do
+  echo -n &quot; $server ... &quot;
+  start=$SECONDS
+  curl $CURL_OPTIONS --connect-timeout 10 -o cabextract.rpm \
+    http://$server.dl.sourceforge.net/sourceforge/corefonts/cabextract-0.5-1.i386.rpm
+  if [ $? -ne 0 ]; then
+    echo &quot;too slow (aborted)&quot;
+    continue
+  fi
+  stop=$SECONDS
+  time=$((stop - start))
+  echo &quot;$time sec&quot;
+  if [ $time -lt $besttime ]; then 
+    besttime=$time
+    useserver=$server
+  fi
+done
+
+rm -f cabextract.rpm
+if [ -n &quot;$useserver&quot; ]; then
+  echo &quot;The winner is: &gt;&gt; $useserver &lt;&lt;&quot;
+  echo
+else
+  echo &quot;Connection too slow or no server available. Aborting ... &quot;
+  exit 5
+fi
+
+for font in $FONTS; do
+ for i in $useserver $SERVER; do
+  archive=http://$i.$font
+  file=`echo $archive|awk -F &quot;/&quot; '{print $NF}'`
+  rm -f $file
+  echo &quot;$file ($archive):&quot;
+  echo -n &quot;  Fetching   ... &quot;
+  curl $CURL_OPTIONS -o $file $archive
+  if [ $? -ne 0 ]; then
+    rm -f $file
+    echo &quot;failed ... deleted!&quot;
+    continue
+  fi
+  echo done
+  echo -n &quot;  Extracting ... &quot;
+  cabextract -l $file &amp;&gt; /dev/null
+  if [ $? -ne 0 ]; then
+    rm -f $file
+    echo &quot;failed ... deleted!&quot;
+  else
+    cabextract $file &amp;&gt; /dev/null
+    echo &quot;done&quot;
+    success=true
+    break
+  fi
+  rm -f $file
+ done
+done
+
+if [ &quot;x$success&quot; != &quot;x&quot; ]; then 
+  for i in *.[Tt][Tt][CFcf]; do
+    lower=`echo $i|tr [:upper:] [:lower:]`
+    test &quot;$i&quot; != &quot;$lower&quot; &amp;&amp; mv $i $lower
+  done
+  chmod 644 *.tt[cf]
+  # impact.ttf already in agfa-fonts package
+  test -s /usr/share/fonts/truetype/impact.ttf &amp;&amp; rm impact.ttf
+  mv -f *.tt[cf] /usr/share/fonts/truetype
+  /usr/sbin/fonts-config
+  echo &quot;*** Fonts installed. ***&quot;
+else
+  echo &quot;*** No Fonts installed. ***&quot;
+fi
+
+popd &amp;&gt; /dev/null
+      </do>
+      <suse:freshens>
+        <suse:entry kind="package" name="glibc"/>
+      </suse:freshens>
+    </script>
+  </atoms>
+</patch>

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-flash-player-2359.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-flash-player-2359.xml?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-flash-player-2359.xml (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-flash-player-2359.xml Mon Apr 16 14:12:20 2007
@@ -0,0 +1,71 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--PATCHINFO id="0ea8e66732bf0740881da44bc2526b0e"!-->
+<patch
+    xmlns="http://novell.com/package/metadata/suse/patch";
+    xmlns:yum="http://linux.duke.edu/metadata/common";
+    xmlns:rpm="http://linux.duke.edu/metadata/rpm";
+    xmlns:suse="http://novell.com/package/metadata/suse/common";
+    patchid="flash-player-2359"
+    timestamp="1165540363"
+    engine="1.0">
+  <yum:name>flash-player</yum:name>
+  <summary lang="en">flash-player: Security upgrade to 7.0.69</summary>
+  <summary lang="de">flash-player: Security Upgrade auf Version 7.0.69</summary>
+  <description lang="en">This security update brings the Adobe Flash Player to
+version 7.0.69. It
 fixes the following security problem:
+
+CVE-2006-5330: CRLF injection vulnerability in Adobe Flash
+Player
 allows remote attackers to modify HTTP headers of
+client requests
 and conduct HTTP Request Splitting attacks
+via CRLF sequences in
 arguments to the ActionScript
+functions (1) XML.addRequestHeader and (2)
+XML.contentType. NOTE: the flexibility of the attack varies
+depending
 on the type of web browser being used.
+</description>
+  <description lang="de">Dieses Securityupgrade bringt den Adobe Flash Player auf
+Version 7.0.69.
 Dieses Update behebt damit folgendes
+Sicherheitsproblem:
+
+CVE-2006-5330: Ein CRLF Injectionsangriff in Adobe Flash
+Player
 erlaubt entfernten Angreifern die HTTP Header von
+Client Anfragen zu verändern
 und damit HTTP Request
+Splitting Angriffe auszuführen. Dies geschieht
 durch
+Einschleusen von CRLF Sequenzen in die ActionScript
+Funktionen (1) XML.addRequestHeader
 und (2)
+XML.contentType. Note: Die Flexibilität dieses Angriffs ist
+abhängig
 vom benutzten Webbrowser.
+</description>
+  <yum:version ver="2359" rel="0"/>
+  <rpm:requires>
+    <rpm:entry kind="atom" name="flash-player" epoch="0" ver="7.0.69.0" rel="1.1" flags="EQ"/>
+  </rpm:requires>
+  <category>security</category>
+  <atoms>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>flash-player</name>
+      <arch>i586</arch>
+      <version epoch="0" ver="7.0.69.0" rel="1.1"/>
+      <checksum type="sha" pkgid="YES">e0add7ff093ece07c6967f658073bfd74607fb64</checksum>
+      <time file="1165572820" build="1165540363"/>
+      <size package="990457" installed="2164975" archive="2165716"/>
+      <location href="rpm/i586/flash-player-7.0.69.0-1.1.i586.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="flash-player" epoch="0" ver="7.0.69.0" rel="1.1" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="flash-player"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/i586/flash-player-7.0.69.0-1.1.i586.patch.rpm"/>
+          <checksum type="sha">8a6adc0ca575d8a56c3a1ba2d88e8438939debe9</checksum>
+          <time file="1165574182" build="1165540363"/>
+          <size package="990592" archive="2164560"/>
+          <base-version epoch="0" ver="7.0.68.0" rel="16"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+  </atoms>
+</patch>

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-glabels-2348.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-glabels-2348.xml?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-glabels-2348.xml (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-glabels-2348.xml Mon Apr 16 14:12:20 2007
@@ -0,0 +1,81 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--PATCHINFO id="94977d0dc5b5998b09101f56ba9ce27a"!-->
+<patch
+    xmlns="http://novell.com/package/metadata/suse/patch";
+    xmlns:yum="http://linux.duke.edu/metadata/common";
+    xmlns:rpm="http://linux.duke.edu/metadata/rpm";
+    xmlns:suse="http://novell.com/package/metadata/suse/common";
+    patchid="glabels-2348"
+    timestamp="1165501960"
+    engine="1.0">
+  <yum:name>glabels</yum:name>
+  <summary lang="en">If you installed glabels, you should update.</summary>
+  <summary lang="de">If you installed glabels, you should update.</summary>
+  <description lang="en">If you cannot install glabels or experienced problem with
+file types (MIME) or you cannot find glabels in the menu,
+you should update.
+</description>
+  <description lang="de">If you cannot install glabels or experienced problem with
+file types (MIME) or you cannot find glabels in the menu,
+you should update.
+</description>
+  <yum:version ver="2348" rel="0"/>
+  <rpm:requires>
+    <rpm:entry kind="atom" name="glabels" epoch="0" ver="2.0.4" rel="30.2" flags="EQ"/>
+  </rpm:requires>
+  <category>recommended</category>
+  <atoms>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>glabels</name>
+      <arch>i586</arch>
+      <version epoch="0" ver="2.0.4" rel="30.2"/>
+      <checksum type="sha" pkgid="YES">34adf06a0c4873b9d53b4634beb8bee458b45767</checksum>
+      <time file="1165536261" build="1165501960"/>
+      <size package="983124" installed="2257356" archive="2271256"/>
+      <location href="rpm/i586/glabels-2.0.4-30.2.i586.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="glabels" epoch="0" ver="2.0.4" rel="30.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="glabels"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/i586/glabels-2.0.4-30.2.i586.patch.rpm"/>
+          <checksum type="sha">225d498134c8f369051005b808ee662917e48667</checksum>
+          <time file="1165538099" build="1165501960"/>
+          <size package="15910" archive="2424"/>
+          <base-version epoch="0" ver="2.0.4" rel="30"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>glabels</name>
+      <arch>x86_64</arch>
+      <version epoch="0" ver="2.0.4" rel="30.2"/>
+      <checksum type="sha" pkgid="YES">40f24dc53e8f800fc1383b0ac1b357a7134f8eea</checksum>
+      <time file="1165536201" build="1165503062"/>
+      <size package="1023074" installed="2349352" archive="2363264"/>
+      <location href="rpm/x86_64/glabels-2.0.4-30.2.x86_64.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="glabels" epoch="0" ver="2.0.4" rel="30.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="glabels"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/x86_64/glabels-2.0.4-30.2.x86_64.patch.rpm"/>
+          <checksum type="sha">a505aef1188ba45022a6c1241a14f569fa19b0a8</checksum>
+          <time file="1165538101" build="1165503062"/>
+          <size package="16423" archive="2424"/>
+          <base-version epoch="0" ver="2.0.4" rel="30"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+  </atoms>
+</patch>

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-gv-2350.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-gv-2350.xml?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-gv-2350.xml (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-gv-2350.xml Mon Apr 16 14:12:20 2007
@@ -0,0 +1,111 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--PATCHINFO id="8975f0d388b1ef6cf1058b8c743a304a"!-->
+<patch
+    xmlns="http://novell.com/package/metadata/suse/patch";
+    xmlns:yum="http://linux.duke.edu/metadata/common";
+    xmlns:rpm="http://linux.duke.edu/metadata/rpm";
+    xmlns:suse="http://novell.com/package/metadata/suse/common";
+    patchid="gv-2350"
+    timestamp="1165492324"
+    engine="1.0">
+  <yum:name>gv</yum:name>
+  <summary lang="en">gv: Additional fix for previous security update</summary>
+  <summary lang="de">gv: Weiterer Fix für vorheriges Sicherheitsupdate</summary>
+  <description lang="en">The previous &quot;gv&quot; update to fix a stack overflow did not
+completely fix
 the problem spotted. An attacker could
+still cause the handling to use
 up all system memory, or
+open windows much wider than the X display and
 crash. Code
+execution however was not possible.
+</description>
+  <description lang="de">Das vorherige &quot;gv&quot; Update hat zwar den berichteten
+Stacküberlauf behoben, 
 es konnte aber immer noch eine
+fehlerhaftes PS den Viewer zum Absturz bringen
 und/oder
+den Systemspeicher aufbrauchen. Das Ausführen von Schadcode
+war
 allerdings nicht mehr möglich.
+</description>
+  <yum:version ver="2350" rel="0"/>
+  <rpm:requires>
+    <rpm:entry kind="atom" name="gv" epoch="0" ver="3.5.8" rel="1184.2" flags="EQ"/>
+  </rpm:requires>
+  <category>security</category>
+  <atoms>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>gv</name>
+      <arch>i586</arch>
+      <version epoch="0" ver="3.5.8" rel="1184.2"/>
+      <checksum type="sha" pkgid="YES">ef3e9360d99cd36ba269af1abd2e8ac963c8c838</checksum>
+      <time file="1165536209" build="1165492324"/>
+      <size package="230028" installed="537756" archive="543948"/>
+      <location href="rpm/i586/gv-3.5.8-1184.2.i586.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="gv" epoch="0" ver="3.5.8" rel="1184.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="gv"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/i586/gv-3.5.8-1184.2.i586.patch.rpm"/>
+          <checksum type="sha">d76be82ebb51285250baaf698cd6649803b35794</checksum>
+          <time file="1165538134" build="1165492324"/>
+          <size package="111809" archive="256776"/>
+          <base-version epoch="0" ver="3.5.8" rel="1184"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>gv</name>
+      <arch>ppc</arch>
+      <version epoch="0" ver="3.5.8" rel="1184.2"/>
+      <checksum type="sha" pkgid="YES">508bdeacfb23a0a210a27e3ed164f58b5c5c4590</checksum>
+      <time file="1165536257" build="1165492338"/>
+      <size package="242827" installed="566264" archive="572456"/>
+      <location href="rpm/ppc/gv-3.5.8-1184.2.ppc.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="gv" epoch="0" ver="3.5.8" rel="1184.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="gv"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/ppc/gv-3.5.8-1184.2.ppc.patch.rpm"/>
+          <checksum type="sha">a77d288b75a8821227d0402639effd99f194c12f</checksum>
+          <time file="1165538136" build="1165492338"/>
+          <size package="124741" archive="285284"/>
+          <base-version epoch="0" ver="3.5.8" rel="1184"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>gv</name>
+      <arch>x86_64</arch>
+      <version epoch="0" ver="3.5.8" rel="1184.2"/>
+      <checksum type="sha" pkgid="YES">d1ceecc9b2442fe298040690bf91ae224cc2bfd4</checksum>
+      <time file="1165536168" build="1165492270"/>
+      <size package="244258" installed="562996" archive="569188"/>
+      <location href="rpm/x86_64/gv-3.5.8-1184.2.x86_64.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="gv" epoch="0" ver="3.5.8" rel="1184.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="gv"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/x86_64/gv-3.5.8-1184.2.x86_64.patch.rpm"/>
+          <checksum type="sha">9424c4ba6f46d26bb1ae1d33fae80061b968ccb3</checksum>
+          <time file="1165538137" build="1165492270"/>
+          <size package="125854" archive="282016"/>
+          <base-version epoch="0" ver="3.5.8" rel="1184"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+  </atoms>
+</patch>

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-openssl-2349.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-openssl-2349.xml?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-openssl-2349.xml (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-openssl-2349.xml Mon Apr 16 14:12:20 2007
@@ -0,0 +1,297 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--PATCHINFO id="b7dfa4c9cfaf8657e2602bbbcf92ec30"!-->
+<patch
+    xmlns="http://novell.com/package/metadata/suse/patch";
+    xmlns:yum="http://linux.duke.edu/metadata/common";
+    xmlns:rpm="http://linux.duke.edu/metadata/rpm";
+    xmlns:suse="http://novell.com/package/metadata/suse/common";
+    patchid="openssl-2349"
+    timestamp="1165493634"
+    engine="1.0">
+  <yum:name>openssl</yum:name>
+  <summary lang="en">Security update for OpenSSL</summary>
+  <summary lang="de">Sicherheitsupdate für OpenSSL</summary>
+  <description lang="en">A previous openssl update (CVE-2006-2940) introduced
+another bug that can lead to a crash by providing a large
+prime number. An uninitialized pointer is freed during
+error handling. This bug allows remote attackers to crash
+services that use openssl.
+</description>
+  <description lang="de">Ein vorheriges Sicherheitsupdate von OpenSSL
+(CVE-2006-2940) hat einen weiteren Fehler verursacht, der
+von entfernten Angreifern ausgenutzt werden kann, um
+Applikationen, die OpenSSL benutzen, zum Absturz zu bringen.
+</description>
+  <yum:version ver="2349" rel="0"/>
+  <rpm:requires>
+    <rpm:entry kind="atom" name="openssl" epoch="0" ver="0.9.8d" rel="17.2" flags="EQ"/>
+    <rpm:entry kind="atom" name="openssl-32bit" epoch="0" ver="0.9.8d" rel="17.2" flags="EQ"/>
+    <rpm:entry kind="atom" name="openssl-64bit" epoch="0" ver="0.9.8d" rel="17.2" flags="EQ"/>
+    <rpm:entry kind="atom" name="openssl-devel" epoch="0" ver="0.9.8d" rel="17.2" flags="EQ"/>
+    <rpm:entry kind="atom" name="openssl-devel-32bit" epoch="0" ver="0.9.8d" rel="17.2" flags="EQ"/>
+    <rpm:entry kind="atom" name="openssl-devel-64bit" epoch="0" ver="0.9.8d" rel="17.2" flags="EQ"/>
+  </rpm:requires>
+  <category>security</category>
+  <atoms>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl</name>
+      <arch>i586</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">a923a481bc975916121811645c9957303c90172c</checksum>
+      <time file="1165536196" build="1165493634"/>
+      <size package="1190812" installed="2767741" archive="2787168"/>
+      <location href="rpm/i586/openssl-0.9.8d-17.2.i586.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/i586/openssl-0.9.8d-17.2.i586.patch.rpm"/>
+          <checksum type="sha">2936166db09a46956c80a4ac4f69038f6f470cb0</checksum>
+          <time file="1165538106" build="1165493634"/>
+          <size package="838816" archive="1999084"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl</name>
+      <arch>ppc</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">3751ba88267a45f6bae72285bc3295f1550ad80e</checksum>
+      <time file="1165536248" build="1165493907"/>
+      <size package="1242242" installed="3031173" archive="3050600"/>
+      <location href="rpm/ppc/openssl-0.9.8d-17.2.ppc.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/ppc/openssl-0.9.8d-17.2.ppc.patch.rpm"/>
+          <checksum type="sha">5fc8bbefa21ffa770c810d26e2ffec6bb2cf5397</checksum>
+          <time file="1165538109" build="1165493907"/>
+          <size package="872746" archive="2126292"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl</name>
+      <arch>x86_64</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">0a6e313ab112570584d82725dbb1fb81862bfdf0</checksum>
+      <time file="1165536159" build="1165493227"/>
+      <size package="1278381" installed="3079113" archive="3098568"/>
+      <location href="rpm/x86_64/openssl-0.9.8d-17.2.x86_64.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/x86_64/openssl-0.9.8d-17.2.x86_64.patch.rpm"/>
+          <checksum type="sha">1a69d600b7689a7d73eb02c9a8393aeea6be7159</checksum>
+          <time file="1165538111" build="1165493227"/>
+          <size package="906139" archive="2204696"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl-32bit</name>
+      <arch>x86_64</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">485659fe4f32303bb951e557367564f920eb1740</checksum>
+      <time file="1165536197" build="1165493667"/>
+      <size package="687177" installed="1664224" archive="1666028"/>
+      <location href="rpm/x86_64/openssl-32bit-0.9.8d-17.2.x86_64.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl-32bit" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl-32bit"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/x86_64/openssl-32bit-0.9.8d-17.2.x86_64.patch.rpm"/>
+          <checksum type="sha">559c13e02265269a9f08ff0d1aeebb895dd90530</checksum>
+          <time file="1165538113" build="1165493667"/>
+          <size package="674841" archive="1601976"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl-64bit</name>
+      <arch>ppc</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">96d57cc3d4539e0355374526af16c0d4a4919ea6</checksum>
+      <time file="1165536216" build="1165494120"/>
+      <size package="797366" installed="2586832" archive="2588664"/>
+      <location href="rpm/ppc/openssl-64bit-0.9.8d-17.2.ppc.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl-64bit" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl-64bit"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/ppc/openssl-64bit-0.9.8d-17.2.ppc.patch.rpm"/>
+          <checksum type="sha">06f6c63e668e7ba4869efa100502272d986fcdbc</checksum>
+          <time file="1165538116" build="1165494120"/>
+          <size package="796277" archive="2581984"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl-devel</name>
+      <arch>i586</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">9f6a44015ad97680e9f93d0edefa1d533940479c</checksum>
+      <time file="1165536197" build="1165493634"/>
+      <size package="930588" installed="3937193" archive="3948464"/>
+      <location href="rpm/i586/openssl-devel-0.9.8d-17.2.i586.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl-devel" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl-devel"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/i586/openssl-devel-0.9.8d-17.2.i586.patch.rpm"/>
+          <checksum type="sha">8b2815cb139ab9d99849ad1bf11fd193e48c599a</checksum>
+          <time file="1165538119" build="1165493634"/>
+          <size package="637241" archive="2351696"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl-devel</name>
+      <arch>ppc</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">aefc1215e506133131739f86a77eaef17e598dd6</checksum>
+      <time file="1165536249" build="1165493907"/>
+      <size package="986896" installed="4033294" archive="4044564"/>
+      <location href="rpm/ppc/openssl-devel-0.9.8d-17.2.ppc.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl-devel" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl-devel"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/ppc/openssl-devel-0.9.8d-17.2.ppc.patch.rpm"/>
+          <checksum type="sha">6b065d695dcd9e9c26d9fcde0dc37757c3c68a94</checksum>
+          <time file="1165538121" build="1165493907"/>
+          <size package="686833" archive="2446944"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl-devel</name>
+      <arch>x86_64</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">72d8cd8e5273cc13d821e3179b49c1ca1225d471</checksum>
+      <time file="1165536160" build="1165493227"/>
+      <size package="939300" installed="4853257" archive="4864540"/>
+      <location href="rpm/x86_64/openssl-devel-0.9.8d-17.2.x86_64.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl-devel" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl-devel"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/x86_64/openssl-devel-0.9.8d-17.2.x86_64.patch.rpm"/>
+          <checksum type="sha">64a038710ac2e2ba9918b48dcbf8fcf0aef143c7</checksum>
+          <time file="1165538123" build="1165493227"/>
+          <size package="644833" archive="3135336"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl-devel-32bit</name>
+      <arch>x86_64</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">acbbb17d623d1a509f1811ab75297a6015d4ee8e</checksum>
+      <time file="1165536197" build="1165493668"/>
+      <size package="742019" installed="2753796" archive="2754492"/>
+      <location href="rpm/x86_64/openssl-devel-32bit-0.9.8d-17.2.x86_64.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl-devel-32bit" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl-devel-32bit"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/x86_64/openssl-devel-32bit-0.9.8d-17.2.x86_64.patch.rpm"/>
+          <checksum type="sha">7c47e37c419d0556a1bdf8e50b7ebee845dea752</checksum>
+          <time file="1165538125" build="1165493668"/>
+          <size package="631757" archive="2351696"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>openssl-devel-64bit</name>
+      <arch>ppc</arch>
+      <version epoch="0" ver="0.9.8d" rel="17.2"/>
+      <checksum type="sha" pkgid="YES">e9b398feb88d4fbe24a0a52f20e9d20feb5caf49</checksum>
+      <time file="1165536217" build="1165494124"/>
+      <size package="801166" installed="4124288" archive="4124988"/>
+      <location href="rpm/ppc/openssl-devel-64bit-0.9.8d-17.2.ppc.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="openssl-devel-64bit" epoch="0" ver="0.9.8d" rel="17.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="openssl-devel-64bit"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/ppc/openssl-devel-64bit-0.9.8d-17.2.ppc.patch.rpm"/>
+          <checksum type="sha">177a83d2b430effeeadaf884ada00b3e09862c66</checksum>
+          <time file="1165538128" build="1165494124"/>
+          <size package="683533" archive="3552068"/>
+          <base-version epoch="0" ver="0.9.8d" rel="17"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+  </atoms>
+</patch>

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-tar-2351.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-tar-2351.xml?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-tar-2351.xml (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patch-tar-2351.xml Mon Apr 16 14:12:20 2007
@@ -0,0 +1,114 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--PATCHINFO id="d71c6eacf4460c45dd8ec1d3e2be6a98"!-->
+<patch
+    xmlns="http://novell.com/package/metadata/suse/patch";
+    xmlns:yum="http://linux.duke.edu/metadata/common";
+    xmlns:rpm="http://linux.duke.edu/metadata/rpm";
+    xmlns:suse="http://novell.com/package/metadata/suse/common";
+    patchid="tar-2351"
+    timestamp="1165492446"
+    engine="1.0">
+  <yum:name>tar</yum:name>
+  <summary lang="en">tar: Securityupdate to fix symlink traversal</summary>
+  <summary lang="de">tar: Sicherheitsupdate das behebt ein Symlinkproblem behebt</summary>
+  <description lang="en">This security update fixes a directory traversal in tar,
+where unpacked symlinks could
 be followed outside of the
+directory where the tar file is unpacked. (CVE-2006-6097)
+
+This feature was made optional and needs to be enabled with
+a commandline option.
+</description>
+  <description lang="de">Dieses Sicherheitsupdate behebt ein Problem, wo beim
+Entpacken eines TAR Archives dieses
 durch Symlinks aus dem
+aktuellen Verzeichnis ausbrechen konnte. (CVE-2006-6097)
+
+Das alte obsolete Feature in GNU Tar wurde optional gemacht
+und kann für alte TAR Archive
 mit einer
+Kommandozeilenoption angeschaltet werden.
+</description>
+  <yum:version ver="2351" rel="0"/>
+  <rpm:requires>
+    <rpm:entry kind="atom" name="tar" epoch="0" ver="1.15.1" rel="42.2" flags="EQ"/>
+  </rpm:requires>
+  <category>security</category>
+  <atoms>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>tar</name>
+      <arch>i586</arch>
+      <version epoch="0" ver="1.15.1" rel="42.2"/>
+      <checksum type="sha" pkgid="YES">7842746e863cbad136ce916a9720ff5913a5bf66</checksum>
+      <time file="1165536210" build="1165492446"/>
+      <size package="643349" installed="1491226" archive="1498148"/>
+      <location href="rpm/i586/tar-1.15.1-42.2.i586.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="tar" epoch="0" ver="1.15.1" rel="42.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="tar"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/i586/tar-1.15.1-42.2.i586.patch.rpm"/>
+          <checksum type="sha">f944b5b3c727df8ab7995a0cb64aa8239ab285f1</checksum>
+          <time file="1165538141" build="1165492446"/>
+          <size package="107779" archive="198684"/>
+          <base-version epoch="0" ver="1.15.1" rel="42"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>tar</name>
+      <arch>ppc</arch>
+      <version epoch="0" ver="1.15.1" rel="42.2"/>
+      <checksum type="sha" pkgid="YES">def753a1b7fe65e49653e22ae6d42b329306be53</checksum>
+      <time file="1165536257" build="1165492414"/>
+      <size package="649921" installed="1532230" archive="1539152"/>
+      <location href="rpm/ppc/tar-1.15.1-42.2.ppc.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="tar" epoch="0" ver="1.15.1" rel="42.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="tar"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/ppc/tar-1.15.1-42.2.ppc.patch.rpm"/>
+          <checksum type="sha">2ad27c3ec52ac94fc599372fe310f946dff91b53</checksum>
+          <time file="1165538142" build="1165492414"/>
+          <size package="118362" archive="239688"/>
+          <base-version epoch="0" ver="1.15.1" rel="42"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+    <package xmlns="http://linux.duke.edu/metadata/common" type="rpm";>
+      <name>tar</name>
+      <arch>x86_64</arch>
+      <version epoch="0" ver="1.15.1" rel="42.2"/>
+      <checksum type="sha" pkgid="YES">8fe39477a30f01b18d6c1f2b76a61b96f07a8969</checksum>
+      <time file="1165536168" build="1165492249"/>
+      <size package="654218" installed="1512106" archive="1519028"/>
+      <location href="rpm/x86_64/tar-1.15.1-42.2.x86_64.rpm"/>
+      <format>
+        <rpm:requires>
+          <rpm:entry kind="package" name="tar" epoch="0" ver="1.15.1" rel="42.2" flags="GE"/>
+        </rpm:requires>
+        <suse:freshens>
+          <suse:entry kind="package" name="tar"/>
+        </suse:freshens>
+      </format>
+      <pkgfiles xmlns="http://novell.com/package/metadata/suse/patch";>
+        <patchrpm>
+          <location href="rpm/x86_64/tar-1.15.1-42.2.x86_64.patch.rpm"/>
+          <checksum type="sha">c2ba500358a3bb3144ef43ba12001724dee7c7ec</checksum>
+          <time file="1165538143" build="1165492249"/>
+          <size package="117658" archive="219564"/>
+          <base-version epoch="0" ver="1.15.1" rel="42"/>
+        </patchrpm>
+      </pkgfiles>
+    </package>
+  </atoms>
+</patch>

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patches.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patches.xml?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patches.xml (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/patches.xml Mon Apr 16 14:12:20 2007
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<patches xmlns="http://novell.com/package/metadata/suse/patches";>
+  <patch id="fetchmsttfonts.sh-2333">
+    <checksum type="sha">6b72b4f3617d0d51af28399c0f5e0af401440245</checksum>
+    <location href="repodata/patch-fetchmsttfonts.sh-2333.xml"/>
+  </patch>
+  <patch id="glabels-2348">
+    <checksum type="sha">b02ba598d8ed5f8a31859d3b34e72e1ddecbe894</checksum>
+    <location href="repodata/patch-glabels-2348.xml"/>
+  </patch>
+  <patch id="openssl-2349">
+    <checksum type="sha">321ee41de68be4e83dfb74559c14300a59b85ccf</checksum>
+    <location href="repodata/patch-openssl-2349.xml"/>
+  </patch>
+  <patch id="gv-2350">
+    <checksum type="sha">ec9e8a3f3ce2588cecd84ab95ec910d41db5d74b</checksum>
+    <location href="repodata/patch-gv-2350.xml"/>
+  </patch>
+  <patch id="tar-2351">
+    <checksum type="sha">d803372cd5d844ee01ab6fb3d1b4332391fa1206</checksum>
+    <location href="repodata/patch-tar-2351.xml"/>
+  </patch>
+  <patch id="flash-player-2359">
+    <checksum type="sha">c2de5dd35ec2dcccc118d9d7f539e768dfd5ec50</checksum>
+    <location href="repodata/patch-flash-player-2359.xml"/>
+  </patch>
+</patches>

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/primary.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/primary.xml.gz?rev=5389&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml Mon Apr 16 14:12:20 2007
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<repomd xmlns="http://linux.duke.edu/metadata/repo";>
+  <data type="patches">
+    <location href="repodata/patches.xml"/>
+    <checksum type="sha">23ed066c97c23c557121aaf9c57e5f3f429e4a23</checksum>
+    <timestamp>1176468240</timestamp>
+    <open-checksum type="sha">23ed066c97c23c557121aaf9c57e5f3f429e4a23</open-checksum>
+  </data>
+  <data type="other">
+    <location href="repodata/other.xml.gz"/>
+    <checksum type="sha">7f83e2e248d8966d119471c58ef41e7a065c9e1a</checksum>
+    <timestamp>1176468292</timestamp>
+    <open-checksum type="sha">b2b013f0426018c6cc9dbb30a06fa2bab0aaeea8</open-checksum>
+  </data>
+  <data type="primary">
+    <location href="repodata/primary.xml.gz"/>
+    <checksum type="sha">3b8d548402966490f6679b9ef01d5786d75d3332</checksum>
+    <timestamp>1176468284</timestamp>
+    <open-checksum type="sha">68e66f72b932235eeee5d5638d3cba2ec674c208</open-checksum>
+  </data>
+  <data type="filelists">
+    <location href="repodata/filelists.xml.gz"/>
+    <checksum type="sha">8a7622d1200067c399e483c4ca19fb382ae1f24e</checksum>
+    <timestamp>1176468286</timestamp>
+    <open-checksum type="sha">0bc279d4c287dfea715805e349744122f412e3a6</open-checksum>
+  </data>
+</repomd>

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.asc
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.asc?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.asc (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.asc Mon Apr 16 14:12:20 2007
@@ -0,0 +1,7 @@
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.4.6 (GNU/Linux)
+
+iD8DBQBGI2e8m+zCtd2wN1YRAiG0AJ9//Mi7mEKglR1x6s7Cg5peOWjxAwCeP5R6
+/nO1uU76r8SdVOGew9itD+M=
+=+B+Z
+-----END PGP SIGNATURE-----

Added: trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.key
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.key?rev=5389&view=auto
==============================================================================
--- trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.key (added)
+++ trunk/libzypp/tests/source/yum/data/10.2-updates-subset/repodata/repomd.xml.key Mon Apr 16 14:12:20 2007
@@ -0,0 +1,24 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1.4.6 (GNU/Linux)
+
+mQGiBEYjZk4RBACjIOtNaPzvKlC32b8R5TDRB0/FQ0tsMtt5dLwuq2ZYlEbT1YLF
+110vZEl5IQAq5ldvD7MdR/6fqdXTdxBeYzZjeIEYbHzg3rN/N/+MkcG4W8IK1H6e
+DAbL05HlQ1ueTp0mjgoGLYKt1igQe8h5uA6gEE7dv0tG0NJx2w5Gs2GpmwCgiRiu
+s2ev221Pa65IpR1gsYuXLOEEAKJ1Bvjm+BfHJirqoH7iPq5HlABwn+s9sUmf6bjC
+kfar/ySAsL0VUhHNCIoHUEZd2imA2ZA0kTBxB+BIX/HMRZzxPZEwYI8Q0UYsTVb/
+gnQt+mWaZs1/2teWR0wnUp+eO5MpOAO9QjFJTdIz0GegsfSOPCo55CUtktr3tJUK
+fZ3gA/9mZe+b1Evi1/Us+klnERRKR2jjWXxwuPN6UivJbfXIZjuVUNclAhEqstzp
+fnWJ3LhPxj0zJvhp/MnqSTaI6DQbr0f+JvwP+5k/4gbnqm+xxOocyhiVT45zOPAy
+UYuG4t0m+9G7Vx6LC9tMukbdfHaRym42yC2s04GW2isKfta1ZbQsWllwcCBUZXN0
+IEtleSBQYWlyIDx6eXBwLWRldmVsQG9wZW5zdXNlLm9yZz6IYAQTEQIAIAUCRiNm
+TgIbIwYLCQgHAwIEFQIIAwQWAgMBAh4BAheAAAoJEJvswrXdsDdWSVAAnjkR2lao
+hb2Q4WnxamdHYWSf8ULKAJ4jjfZsFq0vmgPsO/YHaKTJN5sAL7kBDQRGI2ZREAQA
+toB5TGT9K7NCv5D5dQw7jVHngnxp3NGTtAhwirYphBWaF2be3UJVTLbUFW14eMnr
+VW9PKj/HNVLhQu0C6CaXtXy5LahIls+mFlSKwbiP74cFlNYcj69tzCnaFKgElQPH
+cMOc31EgjySYcUIys421MxI++sugW+yHr5ByIsL6vfcAAwUEAILSwmLtD+Pwkues
+73DPPyWIM3MA0exO7QmZeFwnbpiZYuZQ3GiPGrbeZVqHWB72dhW8+5ugR9CVQSsL
+HC5wHMIQFU8RsiL06gZdIaJNgAr7ajhtUybP0WPVpXkzm5+VB8Che9m0Z0t2tK8Y
+0KVapBcr3YDgx89F9VA0yny6q3WiiEkEGBECAAkFAkYjZlECGwwACgkQm+zCtd2w
+N1apuACfUR+Daoo3N1fxxDa3A3t4OkAfpQgAn1UEvpQp+/4DnzSbEvwzLeoek3dz
+=5nY9
+-----END PGP PUBLIC KEY BLOCK-----

--
To unsubscribe, e-mail: zypp-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: zypp-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages